cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Simon Farner <s.far...@bluewin.ch>
Subject Re: Does Cayenne 4.0.3M work on JellyBean 4.0?
Date Tue, 12 Apr 2016 12:14:27 GMT
Wow rtt is amazing on this list. Thank your for this quick answer

> The next version of Android will be though
So we are talking Android 7.0 ? That's somewhat unfortunate.


> It's possible to get it mostly working now but takes some effort.
Mostly working means? What does not work? And how much effort are we
talking? Are still early in development of the app, so there is still
the possibility to switch to a different framework like ORMLite or
Hibernate. Is there any documentation?

On Die, 2016-04-12 at 11:56 +0000, John Huss wrote:
> It doesn't work out if the box because Android is not a complete java
> implementation. The next version of Android will be though.
> 
> It's possible to get it mostly working now but takes some effort.
> On Tue, Apr 12, 2016 at 6:48 AM Simon Farner <s.farner@bluewin.ch>
> wrote:
> 
> > 
> > Hello everybody
> > 
> > I built a working ORM setup on my server application. I now would
> > like
> > to clone the project into our Android application, switching the
> > back
> > end to sqlite. We aim to support phones starting from JellyBean
> > 4.0.
> > 
> > The gradle project builds without failure, but when I try to create
> > objects from a ObjectContext the app just crashes silently. No
> > exceptions I tried using derby as backend to rule out trouble with
> > the
> > sqlite setup in Android, but this crashes too. I start to suspect
> > that
> > Cayenne simply does not work with JellyBean, does it? I would love
> > to
> > provide some more detail but somehow the Android Studio does not
> > provide any information on what failed.
> > 
> > Is there anyone who got Cayenne 4.0.3M working on Android 4.0? Or
> > is it
> > known to cause trouble?
> > 
> > Greetings and thank you for helping
> > Simon
> > 

Mime
View raw message